Get project - Braintrust
Get project
cURL
curl --request GET \
--url https://api.braintrust.dev/v1/project/{project_id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.braintrust.dev/v1/project/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.braintrust.dev/v1/project/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 200
- 400
- 401
- 403
- 429
- 500
Example Project JSON Response
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"comparison_key": "<string>",
"baseline_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spanFieldOrder": [
{
"object_type": "<string>",
"column_id": "<string>",
"position": "<string>",
"layout": "full"
}
],
"remote_eval_sources": [
{
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"disable_realtime_queries": true,
"monitor_charts_use_metrics_start": true,
"blind_reviews": true,
"default_preprocessor": {
"type": "function",
"id": "<string>",
"version": "<string>"
}
}
}
Authorizations
Authorization
- Type: string
- Location: header
- Requirement: required
Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.
Path Parameters
- project_id (required): The unique identifier for the project (string
)
Response Structure
- 200: application/json Returns the project object
- id (required): Unique identifier for the project (string
) - org_id (required): Unique id for the organization that the project belongs under (string
) - name (required): Name of the project (string)
- description: Textual description of the project (string | null)
- created: Date of project creation (string
| null) - deleted_at: Date of project deletion, or null if the project is still active (string
| null) - user_id: Identifies the user who created the project (string
| null) - settings: Object containing project settings (object | null)